# SendDiff script to atomate the diff mail send on cvs commit
# Copyright (C) 2002-04  Mahdi Hannoun <mhd@arakhne.org>,
#                        Stephane Galland <galland@arakhne.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

=pod

=head1 NAME

SendDiff::Cvs - CVS functions

=head1 DESCRIPTION

SendDiff::Cvs is a Perl module which implementes some
general purpose functions to support CVS.

=cut
package SendDiff::Cvs;
@ISA = ('Exporter');
@EXPORT = qw( &getCVSROOT &getLocalCVSROOT &setCVSROOT ) ;
@EXPORT_OK = qw();
use strict;
use vars qw(@ISA @EXPORT @EXPORT_OK $VERSION);
my $VERSION = "0.1" ;

my $CURRENT_CVSROOT = $ENV{'CVSROOT'} ;

=pod

=head1 FUNCTION DESCRIPTIONS

This section contains only the functions in Cvs.pm itself.

=over

=item * getCVSROOT()

Replies the current system CVSROOT.

=cut
sub getCVSROOT() {
  return $CURRENT_CVSROOT ;
}

=pod

=item * getLocalCVSROOT()

Replies the current local CVSROOT.

=cut
sub getLocalCVSROOT() {
  if (($CURRENT_CVSROOT)&&($CURRENT_CVSROOT !~ /:/)) {
    return $CURRENT_CVSROOT ;
  }
  return "" ;
}

=pod

=item * setCVSROOT(PATH)

Sets the current CVSROOT.
Takes 1 arg:

=over

=item PATH is the CVSROOT path (scalar).

=back

=cut
sub setCVSROOT($) {
  if ( $_[0] ) {
    $CURRENT_CVSROOT = $_[0] ;
  }
}

1;
__END__

=back
