# SendDiff script to atomate the diff mail send on cvs commit
# Copyright (C) 2002-04  Mahdi Hannoun <mhd@arakhne.org>,
#                        Stephane Galland <galland@arakhne.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

package SendDiff::Release;
@ISA = ('Exporter');
@EXPORT = qw( &getVersionNumber &getVersionDate &getBugReportURL
	      &getAuthors &getMainURL &getCopyrightDate
	      &getContributors ) ;
@EXPORT_OK = qw();
use strict;
use vars qw(@ISA @EXPORT @EXPORT_OK $VERSION);
my $VERSION = "0.1" ;

#------------------------------------------------------
#
# DEFINITIONS
#
#------------------------------------------------------

my $SENDDIFF_VERSION      = '3.1' ;
my $SENDDIFF_DATE         = '2005/12/06' ;
my $SENDDIFF_BUG_URL      = 'http://www.arakhne.org/bugtrack/' ;
my %SENDDIFF_AUTHORS      = ( 'galland@arakhne.org' => 'Stphane GALLAND',
			      'mhd@arakhne.org' => 'Madhi HANNOUN',
			    ) ;
my $SENDDIFF_URL          = 'http://www.arakhne.org/senddiff/' ;
my %SENDDIFF_CONTRIBS     = ( #'email' => "name",
			    ) ;

#------------------------------------------------------
#
# Functions
#
#------------------------------------------------------

sub getVersionNumber() {
  return $SENDDIFF_VERSION ;
}

sub getVersionDate() {
  return $SENDDIFF_DATE ;
}

sub getBugReportURL() {
  return $SENDDIFF_BUG_URL ;
}

sub getCopyrightDate() {
  my $cdt = '1998-' ;
  $SENDDIFF_DATE =~ /^([0-9]+)[^0-9]/ ;
  $cdt .= scalar($1) ;
  return $cdt ,
}

sub getAuthors() {
  return %SENDDIFF_AUTHORS ;
}

sub getMainURL() {
  return $SENDDIFF_URL ;
}

sub getContributors() {
  return %SENDDIFF_CONTRIBS ;
}

1;
__END__
